import Vue from 'vue'
import VueRouter from 'vue-router'
// import Home from '../views/Home.vue'
import DatasetView from '../views/DatasetView.vue'
// import D3Test from '../views/D3Test.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'DatasetView',
    component: DatasetView
  },
  {
    path: '/about',
    name: 'About',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () =>
      import(/* webpackChunkName: "about" */ '../views/About.vue')
  }
]

const router = new VueRouter({
  routes
})

export default router
